petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSpaceEvaluate

Evaluate the basis functions and their derivatives (jet) at each point

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceEvaluate(PetscSpace sp, PetscInt npoints, const PetscReal points[], PetscReal B[], PetscReal D[], PetscReal H[])

### Input Parameters

| sp | - The PetscSpace
| npoints | - The number of evaluation points
| points | - The point coordinates

### Output Parameters

| B | - The function evaluations in a npoints x nfuncs array
| D | - The derivative evaluations in a npoints x nfuncs x dim array
| H | - The second derivative evaluations in a npoints x nfuncs x dim x dim array

### See Also

PetscFEGetTabulation(), PetscFEGetDefaultTabulation(), PetscSpaceCreate()

Level:advanced
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages